---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Update iOS Class

Update specific iOS Class by a `iosClassId`.
To update no associated live activity must be active.


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "push-live-ios-class",
      "x-displayName": "Push Live - iOS Class"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/pushlive/{appId}/iosclass/{iosClassId}": {
      "put": {
        "tags": [
          "push-live-ios-class"
        ],
        "x-eov-operation-handler": "iosClassController",
        "x-gateway-endpoint": "pushliveService",
        "x-gateway-check-permission": {
          "account-features": [
            "PUSH_LIVE_ENABLED"
          ]
        },
        "operationId": "pushliveIosClassUpdate",
        "summary": "Update iOS Class",
        "description": "Update specific iOS Class by a `iosClassId`.\nTo update no associated live activity must be active.\n",
        "parameters": [
          {
            "in": "path",
            "name": "appId",
            "schema": {
              "type": "number"
            },
            "required": true,
            "description": "Customer application id"
          },
          {
            "in": "path",
            "name": "iosClassId",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "iOS Class ID"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PL_IosClassUpdateRequestSchema"
              }
            }
          }
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/PL_IosClassResponse"
          },
          "default": {
            "description": "Error 5XX, 4XX",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PL_ErrorSchema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "PL_ErrorSchema": {
        "required": [
          "message",
          "statusCode"
        ],
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "Response code"
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "PUSH_LIVE_INTERNAL_ERROR",
              "PUSH_LIVE_BAD_REQUEST",
              "PUSH_LIVE_NOT_FOUND",
              "PUSH_LIVE_FORBIDDEN",
              "PUSH_LIVE_SERVICE_NOT_ENABLED",
              "PUSH_LIVE_APPLICATION_NOT_FOUND",
              "PUSH_LIVE_APPLICATION_ALREADY_EXISTS",
              "PUSH_LIVE_APPLICATION_NOT_CONFIGURED",
              "PUSH_LIVE_CREATE_CHANNEL_APNS",
              "PUSH_LIVE_CREATE_TOPIC_ANDROID",
              "PUSH_LIVE_IOS_CLASS_ALREADY_EXISTS",
              "PUSH_LIVE_IOS_CLASS_LIMIT_REACHED",
              "PUSH_LIVE_IOS_CLASS_NOT_FOUND",
              "PUSH_LIVE_IOS_CLASS_MANDATORY",
              "PUSH_LIVE_ACTIVITY_ALREADY_EXISTS",
              "PUSH_LIVE_ACTIVITY_NOT_FOUND",
              "PUSH_LIVE_ACTIVITY_NO_ACTIVE",
              "PUSH_LIVE_ACTIVITY_NO_PENDING",
              "PUSH_LIVE_ACTIVITY_NOT_ENABLED",
              "PUSH_LIVE_ACTIVITY_STILL_ACTIVE",
              "PUSH_LIVE_ACTIVITY_ALREADY_COMPLETED",
              "PUSH_LIVE_ACTIVITY_PAYLOAD_EXCEED_LIMIT_SIZE",
              "PUSH_LIVE_ACTIVITY_IOS_PLATFORM_NOT_CONFIGURED",
              "PUSH_LIVE_ACTIVITY_ANDROID_PLATFORM_NOT_CONFIGURED",
              "PUSH_LIVE_ACTIVITY_ANDROID_TOPIC_NOT_CONFIGURED",
              "PUSH_LIVE_ACTIVITY_IOS_CHANNEL_NOT_CONFIGURED",
              "PUSH_LIVE_ACTIVITY_IOS_ATTRIBUTES_NOT_EQUAL",
              "PUSH_LIVE_IOS_ATTRIBUTES_TYPE_MANDATORY",
              "PUSH_LIVE_STATIC_ATTRIBUTES_NOT_EQUAL_IOS_CLASS"
            ],
            "description": "* `PUSH_LIVE_INTERNAL_ERROR` - Internal error from Push Live service\n* `PUSH_LIVE_BAD_REQUEST` - Bad request sent to Push Live service\n* `PUSH_LIVE_NOT_FOUND` - Requested resource was not found\n* `PUSH_LIVE_FORBIDDEN` - Access to the requested resource is forbidden\n* `PUSH_LIVE_SERVICE_NOT_ENABLED` - Service is not enabled for this request\n* `PUSH_LIVE_APPLICATION_NOT_FOUND` - Application was not found\n* `PUSH_LIVE_APPLICATION_ALREADY_EXISTS` - Application already exists\n* `PUSH_LIVE_APPLICATION_NOT_CONFIGURED` - Application does not have any providers configured\n* `PUSH_LIVE_CREATE_CHANNEL_APNS` - Error APNs Server creating a new channel for specific bundle ID\n* `PUSH_LIVE_CREATE_TOPIC_ANDROID` - Error Android creating a new topic ID\n* `PUSH_LIVE_IOS_CLASS_ALREADY_EXISTS` - Error with iOS Class. attributesType should be unique per application\n* `PUSH_LIVE_IOS_CLASS_LIMIT_REACHED` - Error creating a new iOS Class.\n* `PUSH_LIVE_IOS_CLASS_NOT_FOUND` - iOS Class was not found\n* `PUSH_LIVE_IOS_CLASS_MANDATORY` - iOS Class Mandatory\n* `PUSH_LIVE_ACTIVITY_ALREADY_EXISTS` - Error with Live Activity. liveActivityExternalId should be unique per application\n* `PUSH_LIVE_ACTIVITY_NOT_FOUND` - Live Activity was not found\n* `PUSH_LIVE_ACTIVITY_NO_ACTIVE` - Live Activity is not active status\n* `PUSH_LIVE_ACTIVITY_NO_PENDING` - Live Activity is not pending status\n* `PUSH_LIVE_ACTIVITY_NOT_ENABLED` - Live Activity is not enabled\n* `PUSH_LIVE_ACTIVITY_STILL_ACTIVE` - Live activity is still active, it must be ended before it can be deleted\n* `PUSH_LIVE_ACTIVITY_PAYLOAD_EXCEED_LIMIT_SIZE` - LiveActivityEventData exceed the limit size\n* `PUSH_LIVE_ACTIVITY_IOS_PLATFORM_NOT_CONFIGURED` - Application does not have APNS provider configured for ios platform\n* `PUSH_LIVE_ACTIVITY_ANDROID_PLATFORM_NOT_CONFIGURED` - Application does not have FCM provider configured for android platform\n* `PUSH_LIVE_ACTIVITY_ANDROID_TOPIC_NOT_CONFIGURED` - Live activity was not initialized for Android provider\n* `PUSH_LIVE_ACTIVITY_IOS_CHANNEL_NOT_CONFIGURED` - Live activity was not initialized for iOS provider\n* `PUSH_LIVE_ACTIVITY_IOS_ATTRIBUTES_NOT_EQUAL` - Live activity does not have the same iOS Activity Data to initialize the sending\n* `PUSH_LIVE_IOS_ATTRIBUTES_TYPE_MANDATORY` - iosAttributesType is mandatory to start a live activity for iOS platform\n* `PUSH_LIVE_STATIC_ATTRIBUTES_NOT_EQUAL_IOS_CLASS` - staticAttributes must have the same structure as the iOS Class attributes\n"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "PL_IosClassObject": {
        "type": "object",
        "description": "iOS Class object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "iOS Class id"
          },
          "applicationId": {
            "type": "integer",
            "description": "Application id"
          },
          "name": {
            "type": "string",
            "nullable": true,
            "minLength": 5,
            "maxLength": 100,
            "description": "Short description of the iOS Class, which should be a meaningful, short title. It must be between 5 and 100 characters long, and can contain letters, numbers, spaces, and some punctuation marks. Example: \"Event Class\".\n"
          },
          "attributesType": {
            "type": "string",
            "description": "A string you use when you start a Live Activity with a remote push notification.\nIt must match the name of the structure that describes the dynamic data that appears in a Live Activity.\nFor more information, see [Official Apple Docs](https://developer.apple.com/documentation/usernotifications/generating-a-remote-notification).\n"
          },
          "attributes": {
            "type": "object",
            "description": "The dictionary that contains data you pass to a Live Activity that you start with a remote push notification with static data during the live activity cycle.\niOS platform should keep the same structure of your application.\nFor more information, see attributes in [Official Apple Docs](https://developer.apple.com/documentation/usernotifications/generating-a-remote-notification).\n"
          }
        }
      },
      "PL_IosClassUpdateRequestSchema": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "nullable": true,
            "minLength": 5,
            "maxLength": 100,
            "description": "The name of the iOS Class, which should be a meaningful, short title. It must be between 5 and 100 characters long, and can contain letters, numbers, spaces, and some punctuation marks. Example: \"Event Template\".\n"
          },
          "attributes": {
            "type": "object",
            "description": "The dictionary that contains data you pass to a Live Activity that you start with a remote push notification with static data during the live activity cycle.\niOS platform should keep the same structure of your application.\nFor more information, see attributes in [Official Apple Docs](https://developer.apple.com/documentation/usernotifications/generating-a-remote-notification).\n"
          }
        }
      }
    },
    "responses": {
      "PL_IosClassResponse": {
        "description": "Success",
        "content": {
          "application/json": {
            "schema": {
              "required": [
                "statusCode",
                "message",
                "data"
              ],
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Response code",
                  "example": 200
                },
                "message": {
                  "type": "string",
                  "description": "Response message, usually OK",
                  "example": "OK"
                },
                "data": {
                  "$ref": "#/components/schemas/PL_IosClassObject"
                }
              }
            }
          }
        }
      }
    }
  }
}
```